#ifdef HAVE_CONFIG_H
#include <config.h>
RCSID("$Id: swab.c,v 1.1 1996/06/01 00:05:08 assar Exp $");
#endif

#ifndef HAVE_SWAB
void
swab (char *from, char *to, int nbytes)
{
     while(nbytes >= 2) {
	  *(to + 1) = *from;
	  *to = *(from + 1);
	  to += 2;
	  from += 2;
	  nbytes -= 2;
     }
}
#endif
